Summary: The Motif matrix and caption widgets.
Name: Xbae
Version: 4.6.2.4
Release: 6
Copyright: Distributable
Group: System Environment/Libraries
Source0: ftp://ftp.x.org/contrib/widgets/motif/Xbaelin-4.6.2.4.tar.gz
URL: http://www.xbae.syd.net.au
Patch0: Xbaelin-4.6.2.4-redhat.patch
BuildRoot: /var/tmp/xbae-root
Requires: lesstif

%description
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use Xbae's widgets.

%prep
%setup -q -n Xbaelin-4.6.2.4
%patch0 -p1 -b .orig

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type f | sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-Xbae-files

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-Xbae-files
%defattr(-,root,root)
%doc README PROBLEMS LICENSE doc 
%dir /usr/X11R6/include/Xbae

%changelog
* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- rebuilt, not including examples

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix perms in docs

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt pacakge; cleaned up spec file

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to Xabelin-4.6.2.4

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- built the package.
